summaryrefslogtreecommitdiff
path: root/source3/script/tests
diff options
context:
space:
mode:
authorJeremy Allison <jra@samba.org>2009-11-05 17:43:33 -0800
committerJeremy Allison <jra@samba.org>2009-11-05 17:43:33 -0800
commite434934526b23b34dd85b43495961260dc639e1f (patch)
treecb06e388e0c3ef84ac30971699f6bcda80e01bce /source3/script/tests
parent0551284dc08eb93ef7b2b2227a45e5ec21d482fb (diff)
downloadsamba-e434934526b23b34dd85b43495961260dc639e1f.tar.gz
samba-e434934526b23b34dd85b43495961260dc639e1f.tar.bz2
samba-e434934526b23b34dd85b43495961260dc639e1f.zip
Remove the smbd:writetimeupdatedelay change Metze added. Metze please
explain why you added this. Change --maximum-runtime=900 for smbtorture4 with BASE-DELAYWRITE. Should allow it to successfully complete now. Jeremy.
Diffstat (limited to 'source3/script/tests')
-rwxr-xr-xsource3/script/tests/selftest.sh2
-rwxr-xr-xsource3/script/tests/test_posix_s3.sh8
2 files changed, 7 insertions, 3 deletions
diff --git a/source3/script/tests/selftest.sh b/source3/script/tests/selftest.sh
index 73d0aa4c0e..80e50429ad 100755
--- a/source3/script/tests/selftest.sh
+++ b/source3/script/tests/selftest.sh
@@ -249,7 +249,7 @@ cat >$SERVERCONFFILE<<EOF
read only = no
smbd:sharedelay = 100000
- smbd:writetimeupdatedelay = 500000
+# smbd:writetimeupdatedelay = 500000
map hidden = no
map system = no
map readonly = no
diff --git a/source3/script/tests/test_posix_s3.sh b/source3/script/tests/test_posix_s3.sh
index eaae813e11..01d392a80f 100755
--- a/source3/script/tests/test_posix_s3.sh
+++ b/source3/script/tests/test_posix_s3.sh
@@ -71,7 +71,7 @@ skipped="$skipped RAW-SFILEINFO"
echo "WARNING: Skipping tests $skipped"
ADDARGS="$ADDARGS --option=torture:sharedelay=100000"
-ADDARGS="$ADDARGS --option=torture:writetimeupdatedelay=500000"
+#ADDARGS="$ADDARGS --option=torture:writetimeupdatedelay=500000"
failed=0
for t in $tests; do
@@ -90,7 +90,11 @@ for t in $tests; do
fi
start=""
name="$t"
- testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+ if [ "$t" = "BASE-DELAYWRITE" ]; then
+ testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS --maximum-runtime=900 $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+ else
+ testit "$name" $VALGRIND $SMBTORTURE4 $TORTURE4_OPTIONS $ADDARGS $unc -U"$username"%"$password" $t || failed=`expr $failed + 1`
+ fi
done
testok $0 $failed